Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(374)

Issue 6018170477346816: 1588 - Integrate ensure_dependencies.py with the adblockplus repository (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 years ago by paco
Modified:
2 years, 1 month ago
CC:
aalvz
Visibility:
Public.

Description

This is the first of many changes on different repositories, see ticket 1364 for more info, since all the changes are the same, the review is needed just in one in order to implement in the others

Patch Set 1 #

Total comments: 1

Patch Set 2 : 1588 - Integrate ensure_dependencies.py with the adblockplus repository #

Patch Set 3 : 1588 - Integrate ensure_dependencies.py with the adblockplus repository #

Total comments: 7

Patch Set 4 : 1588 - Integrate ensure_dependencies.py with the adblockplus repository #

Total comments: 2

Patch Set 5 : 1588 - Integrate ensure_dependencies.py with the adblockplus repository #

Patch Set 6 : '1588 - Integrate ensure_dependencies.py with the adblockplus repository' #

Patch Set 7 : '1588 - Integrate ensure_dependencies.py with the adblockplus repository' #

Unified diffs Side-by-side diffs Delta from patch set Stats (+298 lines, -4 lines) Patch
R .hgsub View 1 2 3 4 5 6 1 chunk +0 lines, -2 lines 0 comments Download
R .hgsubstate View 1 2 3 4 5 6 1 chunk +0 lines, -2 lines 0 comments Download
M build.py View 1 2 3 4 1 chunk +9 lines, -0 lines 0 comments Download
A dependencies View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
A ensure_dependencies.py View 1 2 3 4 5 1 chunk +285 lines, -0 lines 0 comments Download

Messages

Total messages: 14
mathias
Actually, I doubt that we want the `setup.py` script to trigger `ensure_dependencies.py` whenever it is ...
5 years ago (2014-11-21 15:19:05 UTC) #1
Wladimir Palant
Is there a reason why this is being approached now? The idea was to address ...
5 years ago (2014-11-24 12:40:45 UTC) #2
paco
On 2014/11/24 12:40:45, Wladimir Palant wrote: > Is there a reason why this is being ...
5 years ago (2014-11-25 10:08:17 UTC) #3
Wladimir Palant
http://codereview.adblockplus.org/6018170477346816/diff/5757334940811264/build.py File build.py (right): http://codereview.adblockplus.org/6018170477346816/diff/5757334940811264/build.py#newcode6 build.py:6: DEPENDECY_SCRIPT = os.path.join(os.getcwd(), "ensure_dependencies.py") 1) Nit: DEPENDENCY_SCRIPT please. 2) ...
4 years, 11 months ago (2014-12-17 14:29:31 UTC) #4
paco
4 years, 11 months ago (2014-12-17 16:17:52 UTC) #5
Wladimir Palant
http://codereview.adblockplus.org/6018170477346816/diff/5738600293466112/build.py File build.py (right): http://codereview.adblockplus.org/6018170477346816/diff/5738600293466112/build.py#newcode12 build.py:12: print >>sys.stderr, str(e) Not addressed: print e rather than ...
4 years, 11 months ago (2014-12-17 16:22:18 UTC) #6
paco
4 years, 11 months ago (2014-12-18 09:56:30 UTC) #7
Wladimir Palant
LGTM
4 years, 11 months ago (2014-12-18 21:02:47 UTC) #8
mathias
LGTM
4 years, 11 months ago (2015-01-05 10:18:29 UTC) #9
Wladimir Palant
Could you rebase your change please, so that it can be pushed? * The buildtools ...
4 years, 11 months ago (2015-01-13 16:29:02 UTC) #10
paco
4 years, 11 months ago (2015-01-13 16:44:35 UTC) #11
Wladimir Palant
LGTM again, I'll push that change.
4 years, 11 months ago (2015-01-13 16:47:23 UTC) #12
01687286395a
01687286395
2 years, 1 month ago (2017-10-12 15:28:18 UTC) #13
01687286395a
2 years, 1 month ago (2017-10-12 15:28:22 UTC) #14
Message was sent while issue was closed.
01687286395
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87257f5